package JavaPlugin;

import com.telelogic.rhapsody.core.RPExtendedRPClassesFactory;

/**
 * Extended user classes factory
 *
 */
public class RPClassesFactory extends RPExtendedRPClassesFactory {

	/* (non-Javadoc)
	 * @see com.telelogic.rhapsody.core.IRPExtendedRPClassesFactory#getExtendedClass(java.lang.String)
	 */
	public Class getExtendedClass(final String RPClassName) {
		//Extending only OMDs and projects
		if(RPClassName.compareTo("RPObjectModelDiagram") == 0) {
			return RPObjectModelDiagramEx.class;
		}
		else if (RPClassName.compareTo("RPProject") == 0) {
			return RPProjectEx.class;			
		}
		return null; //use defualt RP class
	}
}
