package JavaPlugin;

import java.util.Iterator;

import com.telelogic.rhapsody.core.IRPGraphNode;
import com.telelogic.rhapsody.core.RPObjectModelDiagram;

/**
 * Extended RP-OMD
 *
 */
public class RPObjectModelDiagramEx extends RPObjectModelDiagram {

	public RPObjectModelDiagramEx(final long nCOMInterfacesAddress) {
		super(nCOMInterfacesAddress);
		
	}

	public void format(final String red, final String green, final String blue) {
		final Iterator grElemsIter = this.getGraphicalElements().toList().iterator();
		while(grElemsIter.hasNext()){
			final Object o = grElemsIter.next();
			if (o instanceof IRPGraphNode) {
				final IRPGraphNode grNode = (IRPGraphNode) o;
				grNode.setGraphicalProperty("BackgroundColor", red+","+green+","+blue);				
			}
		}
		
		
	}

}
