/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
#include "mxf_cfg.h"

/*********** Use RS232 port HCS12X Board **************/

#ifdef _OM_TARGET_MON_HCS12X_RS232

#include <hidef.h>
#include "mc9s12xep100.h"
#include "sci.h"

extern unsigned char OM_TGT_MON_MessageBuffer[];
extern unsigned short int  OM_TGT_MON_MessageLength;

void Hc12_InitProtocol() 
{
  SCIOpenCommunication(SCI_0);
}

void Hc12_SendString()
{
  int i; 
   
  for (i=0; i<OM_TGT_MON_MessageLength;i++)
    (void)SCISendBuffer(SCI_0,OM_TGT_MON_MessageBuffer[i]);
  
}

#endif

/*********** END Use RS232 port HCS12X Board **************/

