#ifndef RICOS_H
#define RICOS_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
*/

/******************************************************************
 ---------------------------------------------------------------
|							RiCOS.h                             |
 --------------------------------------------------------------- 
*******************************************************************/

#include <mxf/RiCOSMainloop.h>

#ifdef STR912
#include "91x_bsp.h"

/* Justification: Violation of Misra98 Rule96 / Misra04 Rule19.10 */
/* Macro body expands to braced expression						  */
#define OSTIMER_INIT() (BSP_Init())

#endif

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me);
RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me);

#endif

