/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/* Includes *******************************************************************/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICOSTARGET_SOURCE
#define MXF_RICOSTARGET_SOURCE
#endif

#ifdef STR912
static volatile RiC_UINT32 clkCount = 0;
static volatile RiC_UINT32 loopCount = 0;
static volatile RiC_UINT32 idleCount = 0;

#define RICOSMAINTASK_SLEEP

RiCBoolean RiCOSMainTask_WaitStep(void) {
	tickCount = 0;
	while (tickCount == 0) {
		/* Do nothing waiting for the TickHandler to increment the count */
		idleCount++;
	}
	loopCount++;	
	return RiCFALSE;
}

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me)
{
	return RiCTRUE;
}


RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me)
{
	return RiCTRUE;
}

#endif
