/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
/*********** Use RS232 port on windows OS **************/

#ifdef _OM_TARGET_MON_WINDOWS_RS232

void win_RS232_InitProtocol();
win_RS232_send();

#ifdef OM_TGT_MON_Send_low
#undef OM_TGT_MON_Send_low
#endif
#define OM_TGT_MON_Send_low win_RS232_send

#ifdef OM_TGT_MON_InitProtocol_low
#undef OM_TGT_MON_InitProtocol_low
#endif
#define OM_TGT_MON_InitProtocol_low win_RS232_InitProtocol

#endif

/************** End RS232 on windows OS ***********/



/************** Definitions and functions needed for TCP protocol *****************/

#ifdef _OM_TARGET_MON_WINDOWS_TCP

void tcp_InitProtocol();
void tcp_send();

#ifdef OM_TGT_MON_Send_low
#undef OM_TGT_MON_Send_low
#endif
#define OM_TGT_MON_Send_low tcp_send

#ifdef OM_TGT_MON_InitProtocol_low
#undef OM_TGT_MON_InitProtocol_low
#endif
#define OM_TGT_MON_InitProtocol_low tcp_InitProtocol

#endif

/************ End Of Tcp rotocol **************/
