#ifndef RiCOxf_H
#define RiCOxf_H

/*
	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2012. All Rights Reserved.
*/

/*******************************************************************
 ---------------------------------------------------------------
|							  RiCOxf.h				             |
 --------------------------------------------------------------- 
***********************************************************************/


#include "mxf_cfg.h"
#include "RiCPortMacros.h"


/* Initialize the framework main objects */
RhpInteger RiCOXFInit(RhpInteger numProgArgs, RhpCharacter **progArgs, RhpPositive defaultPort,
			   const RhpString defaultHost, RhpPositive ticktime, RhpPositive maxTM, 
			   RiCBoolean isRealTimeModel, struct RiCMxfGlobals_t * const mxfGlblInst);

/* activate the framework default event loop */
void RiCOXFStart(RhpInteger doFork);

#endif
