/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/* Includes *******************************************************************/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICOSTARGET_SOURCE
#define MXF_RICOSTARGET_SOURCE
#endif

#ifdef __HC12__
#define RICOSMAINTASK_SLEEP

static volatile RiCBoolean sleep = RiCTRUE;

RiCBoolean RiCOSMainTask_WaitStep(void)
{
	while(sleep)
			;
		
	sleep = RiCTRUE;
	
	return RiCFALSE;
}

/* This prgama directive is required for HC12 interrupt support */
#pragma CODE_SEG __NEAR_SEG NON_BANKED
interrupt void RiCOSMainTask_ISR(void)
{
	PITTF = 0x01;
	if(cachedTimer != NULL){
	   (*(cachedTimer->tickCbkFunc))(cachedTimer->param);
	}
	sleep = RiCFALSE;
}
/* Back to default prgama section */
#pragma CODE_SEG DEFAULT

RiCOSResult RiCOSAnimMutex_lock(const RiCOSMutex *me)
{
	return RiCTRUE;
}


RiCOSResult RiCOSAnimMutex_free(const RiCOSMutex *me)
{
	return RiCTRUE;
}

#endif
