#ifndef RICOSCONFIG_H
#define RICOSCONFIG_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2016. All Rights Reserved.
*/


/************************************
 include files 
************************************/

#include <stdlib.h>

#ifndef  RIC_OS_TOLOWER_DEFINED_IN_CTYPE
#define RIC_OS_TOLOWER_DEFINED_IN_CTYPE
#endif

/************************************
 Macros
************************************/
/* OMitoa */

#ifndef OMitoa
#ifndef CYGWIN
#define OMitoa _itoa
#else
#define OMitoa(val,str,radix) sprintf(str,"%d",(int)val)
#endif /* CYGWIN */
#endif

#ifndef CONSTANT_AS_UNSIGNED_INT
#define CONSTANT_AS_UNSIGNED_INT
#endif

#ifndef OSTimerTask
#define OSTimerTask ((RiCOSHandle)0)
#endif

#ifndef OSTimerQueueEvent
#define OSTimerQueueEvent ((RiCOSEventHandle)0)
#endif

#ifndef OSMainTask
#define OSMainTask ((RiCOSHandle)0)
#endif

#ifndef OSMainTaskQueueEvent
#define OSMainTaskQueueEvent ((RiCOSEventHandle)0)
#endif

#ifndef OSMainTaskTimer
#define OSMainTaskTimer ((RiCOSEventHandle)0)
#endif



#endif

