/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

#ifndef MXF_SOURCE
#define MXF_SOURCE
#endif
#ifndef MXF_RICTYPES_SOURCE
#define MXF_RICTYPES_SOURCE
#endif

#include "mxf_cfg.h"

/***************************************************/
/****          Mock Functions                   ****/
/***************************************************/
void RiC_free(RhpAddress ptr) 
{
#ifdef OXF_USE_DYNAMIC_ALLOC
	free(ptr);
#endif
}

RhpAddress RiC_malloc(RhpPositive memSize)
{
#ifdef OXF_USE_DYNAMIC_ALLOC
	return malloc(memSize);
#else
#ifdef USE_ASSERT
	RiC_ASSERT(NULL);
#endif
	return (RhpAddress) NULL;
#endif
}

