#ifndef RiCOutput_H
#define RiCOutput_H

/*

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
*/

/********************************************************************
 ---------------------------------------------------------------
|							  RiCOutput.h                          |
 --------------------------------------------------------------- 
*********************************************************************/
  
/* Includes *******************************************************************/

#include "mxf_cfg.h"
#include "RiCOSWrap.h"



/******************************************/
/**       Output to stderr functions	 **/
/******************************************/

void RiC_NOTIFY_TO_ERROR(const RhpString msg);

/******************************************/
/**       Output to stdout functions	 **/
/******************************************/

void RiC_NOTIFY_TO_OUTPUT(const RhpString msg);


/* Prototypes *****************************************************************/

/* Initializes the output module */
PUBLIC void RiCOutput_Init( void );

/* Output to stderr functions */
PUBLIC void RiCNotifyToError( const RiC_INT8 *const msg );

/* Output to stdout functions */
PUBLIC void RiCNotifyToOutput( const RiC_INT8 *const msg );


#endif

